Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037437
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-12-06 10:542018-03-05 17:10
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision2cce4b505c16
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037437: useless session cache of window.isSOTrx

DescriptionWhenever a new session is created, it caches for every window defined in AD whether it is used in sales or purchases flows.

This, depending on how many windows are defined in the instance, adds an overhead of ~30KB per session.
Steps To Reproduce1. Log in Openbravo
2. Obtain a memory dump
  -> Check it and see there are entries like "ID|ISSOTRX"
Proposed SolutionThis information is immutable (if no modules in development) and is it already cached within ApplicationDictionaryCachedStructures which is application scoped, use this cache instead of per session.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 00349753.0PR17Q2 closedalostale change scope of ADCS to ApplicationScoped 
related to feature request 0037980 closedalostale Improve organization cache in session 
related to defect 00380613.0PR18Q2 closedalostale Selector filter expression with OB.isSalesTransaction() doesn't work when called from a Process Definition 
causes defect 0037544 closedAugustoMauch Storage bin selectors in goods movement line don't work 

-  Notes
(0100965)
hgbot (developer)
2017-12-11 15:04

Repository: erp/devel/pi
Changeset: bc2ae3376c86597a1c5d96eb4f4e7d89f4654726
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Dec 06 11:14:46 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bc2ae3376c86597a1c5d96eb4f4e7d89f4654726 [^]

related to bug 37437: useless session cache of window.isSOTrx

  Some code minor clean up:
    - Removed some duplicity
    - Fixed format in some comments
    - ...

---
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0100966)
hgbot (developer)
2017-12-11 15:04

Repository: erp/devel/pi
Changeset: 5e390e7d791d8dc3469c7848950a10cbd368274a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Dec 06 11:49:01 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5e390e7d791d8dc3469c7848950a10cbd368274a [^]

fixed bug 37437: useless session cache of window.isSOTrx

  Now isSOTrx propery is not cached in session for each window in the system,
  instead its value is obtained from application scoped ADCS when required.

---
M src/org/openbravo/base/secureApp/Attribute_data.xsql
M src/org/openbravo/base/secureApp/LoginUtils.java
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0101052)
caristu (developer)
2017-12-15 09:25

Code reviewed + tested OK.
(0101514)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101515)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101536)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0102099)
alostale (developer)
2018-02-01 09:00

reopened issue as it was backed out after causing regression 0037544
(0102192)
hgbot (developer)
2018-02-05 14:50

Repository: erp/devel/pi
Changeset: afdc2c3ecac27e05d124c4f54fd7be59e4500b32
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Feb 05 14:50:16 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/afdc2c3ecac27e05d124c4f54fd7be59e4500b32 [^]

related to bug 37437 related to bug 37544: added test case

  covering regression 0037544

---
M src-test/src/org/openbravo/test/AllWebserviceTests.java
A src-test/src/org/openbravo/test/datasource/OtherDatasourceRequests.java
---
(0102194)
hgbot (developer)
2018-02-05 15:28

Repository: erp/devel/pi
Changeset: 7c5fbca07334acc94280ab8aca8fc190ca30f769
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 01 09:13:43 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7c5fbca07334acc94280ab8aca8fc190ca30f769 [^]

related to bug 37437: useless session cache of window.isSOTrx

  Reapplied backed out changeset.

  Some code minor clean up:
    - Removed some duplicity
    - Fixed format in some comments
    - ...

---
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0102195)
hgbot (developer)
2018-02-05 15:28

Repository: erp/devel/pi
Changeset: 2cce4b505c1633cdeb37f999ee9260f6a7dbfd1b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Feb 05 15:27:37 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2cce4b505c1633cdeb37f999ee9260f6a7dbfd1b [^]

fixed bug 37437: useless session cache of window.isSOTrx

  Now isSOTrx propery is not cached in session for each window in the system,
  instead its value is obtained from application scoped ADCS when required:
   - In Utility.getConext
   - In OBBindings

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/OBBindings.java
M src/org/openbravo/base/secureApp/Attribute_data.xsql
M src/org/openbravo/base/secureApp/LoginUtils.java
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0102719)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102721)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102722)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102993)
AugustoMauch (developer)
2018-03-05 17:10

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2017-12-06 10:54 alostale New Issue
2017-12-06 10:54 alostale Assigned To => platform
2017-12-06 10:54 alostale Modules => Core
2017-12-06 10:54 alostale Triggers an Emergency Pack => No
2017-12-06 10:55 alostale Tag Attached: Performance
2017-12-06 10:57 alostale Relationship added depends on 0034975
2017-12-11 13:58 alostale Assigned To platform => alostale
2017-12-11 15:04 hgbot Checkin
2017-12-11 15:04 hgbot Note Added: 0100965
2017-12-11 15:04 hgbot Checkin
2017-12-11 15:04 hgbot Note Added: 0100966
2017-12-11 15:04 hgbot Status new => resolved
2017-12-11 15:04 hgbot Resolution open => fixed
2017-12-11 15:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5e390e7d791d8dc3469c7848950a10cbd368274a [^]
2017-12-11 15:08 alostale Review Assigned To => caristu
2017-12-15 09:25 caristu Note Added: 0101052
2017-12-15 09:25 caristu Status resolved => closed
2017-12-15 09:25 caristu Fixed in Version => 3.0PR18Q1
2017-12-22 14:22 AugustoMauch Relationship added causes 0037544
2017-12-22 14:48 hgbot Checkin
2017-12-22 14:48 hgbot Note Added: 0101243
2017-12-22 14:51 AugustoMauch Note Deleted: 0101243
2017-12-22 14:55 AugustoMauch Issue cloned 0037545
2017-12-22 14:56 AugustoMauch Relationship added related to 0037545
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101514
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101515
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101536
2018-02-01 09:00 alostale Note Added: 0102099
2018-02-01 09:00 alostale Status closed => new
2018-02-01 09:00 alostale Resolution fixed => open
2018-02-01 09:00 alostale Fixed in Version 3.0PR18Q1 =>
2018-02-05 14:50 hgbot Checkin
2018-02-05 14:50 hgbot Note Added: 0102192
2018-02-05 15:23 alostale Review Assigned To caristu => AugustoMauch
2018-02-05 15:28 hgbot Checkin
2018-02-05 15:28 hgbot Note Added: 0102194
2018-02-05 15:28 hgbot Checkin
2018-02-05 15:28 hgbot Note Added: 0102195
2018-02-05 15:28 hgbot Status new => resolved
2018-02-05 15:28 hgbot Resolution open => fixed
2018-02-05 15:28 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/5e390e7d791d8dc3469c7848950a10cbd368274a [^] => http://code.openbravo.com/erp/devel/pi/rev/2cce4b505c1633cdeb37f999ee9260f6a7dbfd1b [^]
2018-02-20 17:13 alostale Relationship added related to 0037980
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102719
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102721
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102722
2018-03-05 17:10 AugustoMauch Note Added: 0102993
2018-03-05 17:10 AugustoMauch Status resolved => closed
2018-03-05 17:10 AugustoMauch Fixed in Version => 3.0PR18Q2
2018-03-07 12:35 alostale Relationship added related to 0038061


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker